<?php
switch (PAY_MERCHANT) {
    case 'veritrans':
    ## カード決済用
    # マーチャント固有の値が定義された設定ファイルを読み込む
    require_once BASE_DIR . "/webapp/config/merchant.ini";
    ## コンビニ決済用
    # マーチャント固有の値が定義された設定ファイルを読み込む
    require_once BASE_DIR . "/webapp/config/cvs_merchant.ini";

    include_once 'payment/Veritrans.php';
    break;

    case 'remise':
    # マーチャント固有の値が定義された設定ファイルを読み込む
    require_once BASE_DIR . "/webapp/config/remise_merchant.ini";

    include_once 'payment/Remise.php';
    break;

    default:
    die('決済先が指定されていません');
    break;
}
?>
